Subject: [alpine-aports] testing/pigeonhole: new aport

From: Viktor Stanchev <[email-masked]>
Date: Sun, 29 May 2016 22:17:51 -0700

Hi,

This is my first alpine package. I'm building a mail server using docker
containers and I wanted to use alpine as my base image, so I need this
package to do email filtering. This is not the latest version of
pigeonhole, but it's the latest that compiles against the current
version of dovecot (2.2.20-r1). Once dovecot is updated, we can probably
also update this package. Let me know if I need to change anything.

- Viktor
From adfaacb9e8a1d5292c62bc18ba14caf347a2d35d Mon Sep 17 00:00:00 2001
From: Viktor Stanchev <[email-masked]>
Date: Sun, 29 May 2016 22:07:30 -0700
Subject: [PATCH] testing/pigeonhole: new aport

http://pigeonhole.dovecot.org/
Sieve implementation for Dovecot
---
 testing/pigeonhole/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/pigeonhole/APKBUILD

diff --git a/testing/pigeonhole/APKBUILD b/testing/pigeonhole/APKBUILD
new file mode 100644
index 0000000..9c7b84a
--- /dev/null
+++ b/testing/pigeonhole/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Viktor Stanchev <[email-masked]>
+pkgname=pigeonhole
+pkgver=0.4.12
+pkgrel=1
+pkgdesc="Sieve implementation for Dovecot"
+url="http://pigeonhole.dovecot.org/"
+arch="all"
+license="LGPL"
+depends="dovecot"
+depends_dev="dovecot-dev"
+makedepends="${depends_dev} autoconf libtool make openssl-dev bash"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://pigeonhole.dovecot.org/releases/2.2/dovecot-2.2-pigeonhole-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/dovecot-2.2-pigeonhole-${pkgver}
+
+build() {
+    cd "$_builddir"
+    ./configure --prefix=/usr --with-dovecot=/usr/lib/dovecot || return 1
+    make || return 1
+}
+
+package() {
+    cd "$_builddir"
+    make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="eb96e65be62c71f987a3b5ad2d782b7b  dovecot-2.2-pigeonhole-0.4.12.tar.gz"
+sha256sums="98a2fd79b0d9effd08c0caf04d483b1caa5e4503dae811e6d436948557bfb702  dovecot-2.2-pigeonhole-0.4.12.tar.gz"
+sha512sums="68b2bcc8bd2a8c039ff116a441ff8795917b280f89ad60819638d5903010611bbd5966567d0d33ae305f9ae4db9f6756b2a72ccd8305124cfe846d64bbdd08c5  dovecot-2.2-pigeonhole-0.4.12.tar.gz"
-- 
2.8.3

---

From: Viktor Stanchev <[email-masked]>
Date: Sun, 29 May 2016 22:37:49 -0700

I just found
http://git.alpinelinux.org/cgit/aports/tree/main/dovecot/APKBUILD and it
looks like you guys are already on it and it'll be packaged with
dovecot. Feel free to ignore this email.

> also update this package. Let me know if I need to change anything.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---